Skip to main content
GET
/
v1
/
charts
/
{id}
v1 Chart Detail
curl --request GET \
  --url http://api.globalwebindex.com/v1/charts/{id} \
  --header 'Authorization: <api-key>'
{
  "attributes": [
    {
      "datapoint_code": "<string>",
      "namespace_code": "<string>",
      "question_code": "<string>",
      "suffix_code": "<string>"
    }
  ],
  "audiences": [
    {
      "color_index": 123,
      "expression": {
        "and": "<array>",
        "datapoints": [
          "<string>"
        ],
        "min_count": 123,
        "not": true,
        "or": "<array>",
        "question": "<string>",
        "suffixes": [
          "<unknown>"
        ]
      },
      "id": "<string>",
      "is_hidden": true,
      "name": "<string>"
    }
  ],
  "base_audience": {
    "color_index": 123,
    "expression": {
      "and": "<array>",
      "datapoints": [
        "<string>"
      ],
      "min_count": 123,
      "not": true,
      "or": "<array>",
      "question": "<string>",
      "suffixes": [
        "<unknown>"
      ]
    },
    "id": "<string>",
    "is_hidden": true,
    "name": "<string>"
  },
  "color": "<string>",
  "created_at": 123,
  "dataset_codes": [
    "<string>"
  ],
  "dataset_names": [
    "<string>"
  ],
  "folder_id": "<string>",
  "group_type": 123,
  "id": "<string>",
  "is_owner": true,
  "is_public": true,
  "is_shared": true,
  "location_codes": [
    "<string>"
  ],
  "metrics": [
    "<string>"
  ],
  "name": "<string>",
  "owner_email": "<string>",
  "owner_id": 123,
  "segmented_base": true,
  "segments": [
    "<string>"
  ],
  "shared_at": 123,
  "shared_type": "<string>",
  "sort_parameter_type": 123,
  "sort_parameter_value": "<string>",
  "sort_type": 123,
  "splitter": "<string>",
  "updated_at": 123,
  "view_type": 123,
  "wave_codes": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token for authentication

Path Parameters

id
string
required

Chart id.

Response

OK

attributes
object[]
audiences
object[]
base_audience
object
color
string
created_at
integer
dataset_codes
string[]
dataset_names
string[]
folder_id
string
group_type
integer
id
string
is_owner
boolean
is_public
boolean
is_shared
boolean
location_codes
string[]
metrics
string[]
name
string
owner_email
string
owner_id
integer
segmented_base
boolean
segments
string[]
shared_at
integer
shared_type
string
sort_parameter_type
integer
sort_parameter_value
string
sort_type
integer
splitter
string
updated_at
integer
view_type
integer
wave_codes
string[]